get_class
get_declared_interfaces
Classes/Object Functions
PHP Manual

# get_declared_classes

Returns an array with the name of the defined classes

### Description

array get_declared_classes ( void )

Gets the declared classes.

### Return Values

Returns an array of the names of the declared classes in the current script.

> Note:

> Note that depending on what extensions you have compiled or loaded into PHP, additional classes could be present. This means that you will not be able to define your own classes using these names. There is a list of predefined classes in the Predefined Classes section of the appendices.

### Examples

Example #1 get_declared_classes example

`<?php
print_r(get_declared_classes());
?>`

The above example will output something similar to:

    Array
    (
        [0] => stdClass
        [1] => __PHP_Incomplete_Class
        [2] => Directory
    )

### See Also

- class_exists
- get_declared_interfaces
- get_defined_functions